Subject: [ietf-types] Registration of media type -gml+xml (by the Open Geospatial Consortium)

From: "Carl Reed" <[email-masked]>
Date: Wed, 1 Jun 2011 10:25:17 -0600

To whom it may concern -

The OGC is an international standards organization focused on encoding and interface standards for use in the geospatial and locations services domains. One of out most widely implemented standards is the Geography Markup Language (GML). Recently, the GML implementation community has identifed the need for a GML MIME type. Below my signature is the information on the GML MIME type for your review and consideration. The long version of this document may be found at: http://www.ietf.org/internet-drafts/draft-portele-ogc-gml-mime-01.txt

Thank you for your time and consideration.

Regards

Carl Reed, PhD
CTO and Executive Director Specification Program
Open Geospatial Consortium
www.opengeospatial.org

Name: Carl Reed

Email: [email-masked]

MIME media type name: Application

MIME subtype name:    Standards Tree -gml+xml

Required parameters:  None

Optional parameters:

   "charset" The charset parameter of application/gml+xml is 

   handled in the same fashion as for application/xml, as specified

   in Section 3.2 of [RFC3023]

   "version": If provided, this parameter indicates the GML 

   version used in the GML document. Only the major and 

   the first minor version number are provided, e.g. "3.2".

Encoding considerations: As per Section 3.2 of [RFC3023]

Security considerations:

   The OGC Geography Markup Language (GML) is a generic format for

   exchanging geographic information, but application designers must

   not assume that it provides generic protection against security

   threats.  RFC 3023, section 10, discusses security concerns for

   generic XML, which are also applicable to GML.

   Xlink references in GML documents may cause arbitrary URIs to be

   dereferenced. In this case, the security issues of RFC 3986,

   section 7, should be considered.

Interoperability considerations:

   Different versions of GML specify different XML Schema documents used

   for the validation of GML documents. Starting with version 3.2, the

   GML version information is represented in the namespace. As

   applications may only support a subset of all published GML

   versions, the use of the version parameter is recommended.

Published specification :

   GML (Geography Markup Language) is an international standard

   adopted by both the Open Geospatial Consortium (OGC) and

   International Organization for Standardization (ISO). The latest

   version at the time of this writing is 3.2.1 which is published by

   ISO as ISO 19136:2007. The standard can be accessed online at

   http://www.opengeospatial.org/standards/gml.

The OGC GML MIME specification has also been approved by the OGC

   Membership and is published here:

   http://portal.opengeospatial.org/files/?artifact_id=37743

Applications which use this media:

   GML is a generic device-, platform-, and vendor-neutral XML

   grammar and is supported by a range of applications creating,

   providing access to and processing geographic information. The use

   of GML is in use internationally with hundreds of deployed

   applications able to create and ingest GML payloads, including all

   of the major GIS vendors, many database providers, earth browzer

   applications, and so forth.

Additional information:

 1. Magic number(s):    None. Although no byte sequences can be

    counted on to consistently identify GML documents, GML

    documents will have the sequence http://www.opengis.net/gml

    as part of a namespace declaration to identify the GML

    namespace. This will usually be towards the top of the document.

 2. File extension(s): .xml or .gml

 3. Macintosh file type code: TEXT

 4. Object Identifiers: None

    The OGC is an international voluntary consensus standards

    organization focused on defining and maintaining standards that

    enable interoperability for using geospatial content and services

    in any application that requires the use of geospatial content or

    services. The OGC website is www.opengeospatial.org.

 Person to contact for further information :

    Name : Clemens Portele

    Address:Interactive Instruments, Bonn, Germany

    Email : [email-masked]

 Intended usage: Common

 Author/Change controller:

      The GML standard is a work product of the Open Geospatial

      Consortium (OGC). The OGC and the GML Standards Working

      Group have change control over the GML standard.

      MIME types for use in OGC standards and formats are defined

      by the OGC Members and discussed and approved by the OGC

      Naming Authority (OGC-NA). The function and role of the OGC-NA

      is described in RFC 5165 and in the OGC Policies and Procedures

      here: http://portal.opengeospatial.org/files/?artifact_id=23325

Carl Reed, PhD
CTO and Executive Director Specification Program
Open Geospatial Consortium
www.opengeospatial.org

The OGC: Making Location Count!

---------------------

This communication, including attachments, is for the exclusive use of addressee and may contain proprietary, confidential or privileged information. If you are not the intended recipient, any use, copying, disclosure, dissemination or distribution is strictly prohibited. If you are not the intended recipient, please notify the sender  immediately by return email and delete this communication and destroy all copies.

"The important thing is not to stop questioning." -- Albert Einstein 
"Security is mostly a superstition. It does not exist in nature. Life is either a daring adventure or nothing." -- Helen Keller

---

From: Bjoern Hoehrmann <[email-masked]>
Date: Wed, 01 Jun 2011 20:34:38 +0200

>MIME media type name: Application

This seems to be using an outdated template. The current template is in
RFC 4288, there are some minor differences like this field name. New re-
gistrations should follow the most recent template.

>MIME subtype name:    Standards Tree -gml+xml

The value should be "gml+xml" if this' to register application/gml+xml.

>   the first minor version number are provided, e.g. "3.2".

(I think this is insufficient, for instance, it is not clear whether
you can use version=3.2 and also version="3.2" but many registrations
have this problem.)
-- 
Björn Höhrmann · mailto:[email-masked] · http://bjoern.hoehrmann.de
Am Badedeich 7 · Telefon: +49(0)160/4415681 · http://www.bjoernsworld.de
25899 Dagebüll · PGP Pub. KeyID: 0xA4357E78 · http://www.websitedev.de/

---

From: "Carl Reed" <[email-masked]>
Date: Fri, 3 Jun 2011 15:47:55 -0600

Bjoern and the ietf-types list -

I have coordinated with Clemens Portele on a revision to the contents of the 
submission. Please find below my signature a revision to the registration 
request for a media type gml+xml (by the Open Geospatial Consortium)

I also checked to make sure that we are using the correct template as 
specified in RFC 4288. I will update the version as uploaded to datatracker.

Regards

Carl Reed, PhD
CTO

Type name: Application

Subtype name: Standards Tree gml+xml

Optional parameters:

   "version": If provided, this parameter indicates the GML version
   used in the GML document. Only the major and the first minor
   version number are provided, e.g. "3.2".

   The value may be provided with or without quotes. i.e.,
   application/gml+xml; version=3.1 shall be treated as identical to
   application/gml+xml; version="3.1".

   In cases where elements from multiple GML versions are used,
   the parameter shall indicate the highest GML version used in the
   document.

   The parameter can be used to provide protocol-specific operations,
   such as version-based content negotiation in HTTP or in the OGC
   Web Feature Service.

Security considerations:

   ISO as ISO 19136:2007. The standard can be accessed freely online at

Applications which use this media type:

Additional information:

 Person & email address to contact for further information:

    Name : Clemens Portele

 Intended usage: Common

 Restrictions on usage:
    None

----- Original Message ----- 
From: "Bjoern Hoehrmann" <[email-masked]>
To: "Carl Reed" <[email-masked]>
Cc: <[email-masked]>
Sent: Wednesday, June 01, 2011 12:34 PM
Subject: Re: [ietf-types] Registration of media type -gml+xml (by the Open 
Geospatial Consortium)

---

From: Paul Libbrecht <[email-masked]>
Date: Sat, 4 Jun 2011 00:26:08 +0200

Carl,

Could I suggest that the additional information section is enriched with recommended flavor names for the Windows and MacOSX operating systems?

At first glance, I would suggest the following:
- Windows Clipboard Name: OGC GML
- Macintosh Universal Type Identifier code: public.gml conforming to public.xml

This way, interoperability can be done at the clipboard. Do I mistake or the clipboard sounds to be a fairly good place to put, say, a location or route you have selected and copied in one application and want to paste into another?

thanks in advance

Paul

Le 3 juin 2011 à 23:47, Carl Reed a écrit :

> I have coordinated with Clemens Portele on a revision to the contents of the submission. Please find below my signature a revision to the registration request for a media type gml+xml (by the Open Geospatial Consortium)
> 
> I also checked to make sure that we are using the correct template as specified in RFC 4288. I will update the version as uploaded to datatracker.
> 
> Regards
> 
> Carl Reed, PhD
> CTO
> ----- Original Message ----- From: "Bjoern Hoehrmann" <[email-masked]>
> Subject: Re: [ietf-types] Registration of media type -gml+xml (by the Open Geospatial Consortium)
> 
> 
>> * Carl Reed wrote:
> _______________________________________________
> ietf-types mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ietf-types

---

From: "Carl Reed" <[email-masked]>
Date: Fri, 3 Jun 2011 16:27:43 -0600

Paul -

Thanks for the feedback. Let be pass on your suggestion to the OGC GML 
community.

Regards

Carl

----- Original Message ----- 
From: "Paul Libbrecht" <[email-masked]>
To: "Carl Reed" <[email-masked]>
Cc: "Bjoern Hoehrmann" <[email-masked]>; <[email-masked]>
Sent: Friday, June 03, 2011 4:26 PM
Subject: Re: [ietf-types] Registration of media type gml+xml (by the Open 
Geospatial Consortium)

Carl,

Could I suggest that the additional information section is enriched with 
recommended flavor names for the Windows and MacOSX operating systems?

At first glance, I would suggest the following:
- Windows Clipboard Name: OGC GML
- Macintosh Universal Type Identifier code: public.gml conforming to 
public.xml

This way, interoperability can be done at the clipboard. Do I mistake or the 
clipboard sounds to be a fairly good place to put, say, a location or route 
you have selected and copied in one application and want to paste into 
another?

thanks in advance

Paul

Le 3 juin 2011 à 23:47, Carl Reed a écrit :

> I have coordinated with Clemens Portele on a revision to the contents of 
> the submission. Please find below my signature a revision to the 
> registration request for a media type gml+xml (by the Open Geospatial 
> Consortium)
>